You need to download this security update now if you have an older iPhone

by -
Behold, the ancient iPhone 6.
Photo: Sean Gallup (Getty Images)

techno.rentetan.com – For iPhones and iPads not being supported by iOS 13 or later, Apple released iOS 12.5.4. If you are still running an iOS 12 Apple gadget, Apple is implementing an important security update that patches 3 vulnerabilities, some of which may have been exploited in the wild.

For iOS 12.5.4, go to General Settings and select Software Update. They are iPhone 5S, iPhone 6, iPhone 6 Plus, iPad Air, iPad mini 2, iPad mini 3 and iPod touch 6th generation.

According to Apple’s release notes, the patch targets two WebKit vulnerabilities and one “maliciously crafted certificate”—all of which could lead to arbitrary code execution. The two vulnerabilities in the WebKit could also be exploited actively, so downloading the update would be a good idea for anyone with an older device. The vulnerability of the certificate was also corrected in iOS 14.6.

It is not compulsory to maintain security updates for older gadgets while it is good way to do so. Many are buried in fine print not more than a given period, usually two to five years, depending on the product. This particular group of Apple gadgets no more received new features after iOS 13 dropped in the autumn of 2019. Almost all of these gadgets were started in 2013 or 2014 and they are at this point six or seven years old. (It is the ‘newest’ gene 6 of the iPod Touch as it began in 2015.) These are absolutely old according to today’s standards.

You may ask who the fuck still has an iPhone 6 or 5S? You may be surprised by the answer. At least 5.3% of iPhone users, according to DeviceAtlas’s figures, had iPhone 6 in 2020, 1.55% had an iPhone 5S and 1.42% had an iPhone 6 Plus. Altogether, that’s almost 8.3% of all iPhone users. (If you’re odd, DeviceAtlas claims that iPhone 7 in the world, and iPhone XR in the USA are the most popular iPhone for use.)

Users should generally upgrade once their device has ceased to support newer software because of aging hardware—or if it’s more difficult than worth upgrading to a new software. We strongly recommend that upgrades take place once a company has no security updates. That said, it’s so good to see that Apple continues to provide these updates for users who might not be able to upgrade.